APT(1)

NAME
apt - Advanced Package Tool

SYNOPSIS

apt [options] [apt-rpm options] [action] [packages]

DESCRIPTION

Apt provides a single command line user interface for the following commands: apt-get(8), apt-cache(8), apt-config(8), apt-cdrom(8) and the rpm query possibilities. Besides the single interface it provides some additional options that are specific to apt in combination with rpm.

Unless the -h, --help, -v, or --version option is given one of the commands mentioned in the ACTIONS section must be present.

Detailed information about each apt command and its options can be found in the man pages that belong to the dispatched apt applications.

ACTIONS

Actions supported by apt: add, autoclean, build-dep, check, clean, depends, dist-upgrade, dotty, dump, dumpavail, gencaches, groupinstall, groupremove, ident, install, list-extras, list-nodeps, moo, pkgnames, policy, query, querytags, rdepends. reinstall. remove, script, search, show, showgroup, showgroups, showpkg, showsrc, source, stats, unmet, update, upgrade, whatdepends, xvcg.

groupinstall
    Install a group (or groups) of packages. Most often those groups are defined by the distributor. Configuration item: Scripts::Groupinstall::Backend

groupremove
    Remove a group (or groups) of packages. Most often those groups are defined by the distributor. Configuration item: Scripts::Groupinstall::Backend

list-nodeps
    list all installed packages that are not required by any other installed package.

list-extras
    shows packages not found in any online repositories. These are packages downloaded or build and installed locally. It's useful to review that list and decide if all those packages are still needed. Specifically if the system is used to build packages distributed to other systems. It's very important to be aware of all installed non-standard packages to avoid dependencies that cannot be satisfied from the standard repository.

list-nodeps
    list all installed packages that are not required by any other installed package.

reinstall
    installs a package again, even if the package is already installed.

showgroup
    Provide information about group (or groups). Most often those groups are defined by the distributor. Configuration item: Scripts::Groupinstall::Backend

showgroups
    Show available groups. Most often those groups are defined by the distributor. Configuration item: Scripts::Groupinstall::Backend

The functionality of the remaining actions are provided by other apt tools. The actions listed by their respective command:

apt-get
    autoclean, build-dep, check, clean, dist-upgrade, install, moo, remove, reinstall. script, source, update, upgrade.

apt-cache
    add, depends, dotty, dump, dumpavail, gencaches, pkgnames, policy, rdepends. search, show, showpkg, showsrc, stats, unmet, whatdepends, xvcg.

apt-config
    shell, dump.

apt-cdrom
    add, ident.

OPTIONS

--checksig
    checks the integrity and origin of the candidate packages to be installed. If the check fails for 1 or more packages non of the candidate packages will be installed! In case the signature check fails use the --hold argument to keep back the offending package(s) or use the --no-checksig argument to skip the package integrity check. More about package checking can be found in the rpm manual. Configuration item: RPM::GPG-Check.

--hold
    puts a package on hold. A package on hold won't be upgraded unless overruled with the install action. Repeat this option if multiple packages must be kept from upgrading. This option uses regular expressions to find the package to be put on hold. E.g. in case the package "at" must be hold, it must be specified as --hold ^at$, if not done like this a package like attr will be put on hold as well. In any case it is better to put packages on hold with the rpm::hold variable in the file apt.conf!

--no-checksig
    Do not check the integrity of the packages to be installed. It can be used if the integrity check fails for 1 or more packages, but the packages have been obtained from a save origin. Configuration item: RPM::GPG-Check.

--no-postscript
    Do not run a postscript after packages have been upgraded, degraded, removed or installed. Configuration item: Scripts::Options::RunPostScript.

--postscript
    Run a postscript after packages have been upgraded, degraded, removed or installed. The script to use is specified with configuration item: Scripts::PM::Post::. With this option it is possible to run for example ldconfig or a distribution specific configuration script. Configuration item: Scripts::Options::RunPostScript.

--show-rpm-command
    Shows the exact rpm command to be performed, during install, upgrade or dist-upgrade actions. The action itself will not be performed.

--sourceslist
    Select the sourceslist file to be used (default is /etc/apt/sources.list).

-h, --help
    Show a short usage summary.

-v, --version
    Show the program version.

-c, --config-file
    Configuration File; Specify a configuration file to use. The program will read the default configuration file and then this configuration file. See apt.conf(5) for syntax information.

-o, --option
    Set a Configuration Option; This will set an arbitary configuration option. The syntax is -o Foo::Bar=bar.

RPM OPTIONS

Options handed over to rpm, see rpm man page for their functionality.

--test
    Rpm option --test.

--force-rpm
    Rpm option --force.

FILES

/usr/share/apt/scripts
    APT lua scripts. Configuration item: Dir::Bin::scripts.

ENVIRONMENT

APT_VERBOSE
    If APT_VERBOSE is defined apt will show which application is being dispatched.

CAVEATS

There are 2 apt actions, add and dump, that are used by several apt commands. The action add is used by apt-cdrom and apt-cache. apt uses add from apt-cdrom. The action dump is used by apt-config and apt-cache. apt uses dump from apt-config.

SEE ALSO

apt-get(8), apt-cache(8), apt-config(8), apt-cdrom(8), rpm(1)

DIAGNOSTICS

apt returns zero on normal operation, decimal 100 on error.

BUGS

Report bugs to <apt-rpm@distro2.conectiva.com.br>

AUTHORS
Debian apt development team, Conectiva apt-rpm development team.